from tests.parse_arguments import create_parser, parse_args
from src import FullscreenArea, create_driver

parse_args(create_parser())

# Create driver and fullscreen area
screen = FullscreenArea()
driver = create_driver(screen)

# Bind handlers
screen.on_rotate(lambda g: 0)
screen.on_pinch(lambda g: 0)
screen.on_drag(lambda g: 0)

# Start listening to TUIO events
try:
    driver.start()
except KeyboardInterrupt:
    driver.stop()
